View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000939Ecere SDKide:debuggerpublic2013-06-12 23:342013-08-07 03:33
Reporterredj 
Assigned Toredj 
PriorityimmediateSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version0.44.07 
Target Version0.44.08Fixed in Version0.44.08 
Summary0000939: breakpoints in library don't work if debug working dir is specified in workspace (when stripped lib file is present in said dir)
DescriptionEDIT: (when stripped lib file is present in said dir)
ie: a release ecere.dll was present in C:\apps\communicator which is causing the breakpoints in ecere to stop working

try breakpoint in Instance_COM_Initialize in instance.c while
C:\apps\communicator is set as a debug working directory
breakpoint won't hit...
remove debug working dir, breakpoint will hit

make sure main project path path is used and not current directory
when making paths relative in debugger
TagsNo tags attached.
Attached Files

- Relationships

-  Notes
(0000899)
redj (administrator)
2013-06-15 19:53

warnings for stripped binaries and missmatched added project and loaded shared library printed in the debug log
not considering the alteration of the order in with a shared lib is loaded so no real fix other than to report the situation at debug start time as implemented in this commit
https://github.com/redj/ecere-sdk/commit/870b354d76b970dee41216438f28aa676df4c15d [^]
(0000900)
redj (administrator)
2013-06-17 18:30

was never a "real" issue but committed something to improve the ide and prevent was of time

- Issue History
Date Modified Username Field Change
2013-06-12 23:34 redj New Issue
2013-06-12 23:36 redj Status new => assigned
2013-06-12 23:36 redj Assigned To => redj
2013-06-14 20:09 redj Summary breakpoints in library don't work if debug working dir is specifiec in workspace => breakpoints in library don't work if debug working dir is specified in workspace
2013-06-15 19:49 redj Summary breakpoints in library don't work if debug working dir is specified in workspace => breakpoints in library don't work if debug working dir is specified in workspace (when stripped lib file is present in said dir)
2013-06-15 19:49 redj Description Updated
2013-06-15 19:53 redj Status assigned => resolved
2013-06-15 19:53 redj Fixed in Version => 0.44.10 64
2013-06-15 19:53 redj Resolution open => fixed
2013-06-15 19:53 redj Note Added: 0000899
2013-06-17 18:30 redj Status resolved => closed
2013-06-17 18:30 redj Note Added: 0000900
2013-08-07 03:33 jerome Fixed in Version 0.44.10 64 => 0.44.08
2013-08-07 03:33 jerome Target Version 0.44.10 64 => 0.44.08



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker